%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		gigedit
Summary:	Instrument editor for gig files
Version:	1.1.1
Release:	%mkrel 5
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://www.linuxsampler.org/
Source0:	http://download.linuxsampler.org/packages/%{name}-%{version}.tar.bz2
Source1:	mk-svn-patch

BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(gdkmm-3.0)
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	pkgconfig(sndfile)
%ifnarch aarch64
BuildRequires:	pkgconfig(linuxsampler) >= 2.0.0
%endif
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	xsltproc
BuildRequires:	intltool
BuildRequires:	docbook-style-xsl

%description
An instrument editor for gig files.

%files -f %{name}.lang
%{_bindir}/gigedit
%dir %{_datadir}/gigedit
%{_datadir}/gigedit/status_attached.xpm
%{_datadir}/gigedit/status_detached.xpm
%{_datadir}/applications/%{name}.desktop
%dir %{_docdir}/gigedit
%doc %{_docdir}/gigedit/*.png
%doc %{_docdir}/gigedit/*.css
%doc %{_docdir}/gigedit/*.html

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries from %{name}.

%files -n %{libname}
%dir %_libdir/gigedit
%_libdir/gigedit/libgigedit.so.%{major}{,.*}
%ifnarch aarch64
# Required at runtime so moved here from devel package:-
%_libdir/linuxsampler/plugins/libgigeditlinuxsamplerplugin.so
%endif
#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries from %{name}.

%files -n %{develname}
%_libdir/gigedit/*.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
CXXFLAGS="%{optflags} -pthread"
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name "*.la" -delete

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Name=Gigedit
Name[en_GB]=Gigedit
Name[fr]=Gigedit
Comment=An instrument editor for gig files
Comment[en_GB]=An instrument editor for gig files
Comment[fr]=Un éditeur d'instruments pour les fichiers gig
GenericName=Gigedit
GenericName[en_GB]=Gigedit
GenericName[fr]=Gigedit
Exec=gigedit
Icon=audio-midi
MimeType=audio/midi;
StartupNotify=true
Terminal=false
Type=Application
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL


%changelog
* Wed Jan 27 2021 wally <wally> 1.1.1-5.mga8
+ Revision: 1673712
- revert rpath added in r1673695

* Wed Jan 27 2021 daviddavid <daviddavid> 1.1.1-4.mga8
+ Revision: 1673695
- enable rpath for /usr/lib(64)/linuxsampler thus fixing start (mga#28229)
- improve desktop file

* Mon Feb 17 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1537509
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 01 2019 barjac <barjac> 1.1.1-2.mga8
+ Revision: 1457223
- s/-lpthread/-pthread/ in CXXFLAGS

* Wed Oct 30 2019 barjac <barjac> 1.1.1-1.mga8
+ Revision: 1456875
- new version 1.1.0
- add -lpthread to CXXFLAGS

* Sat Feb 09 2019 barjac <barjac> 1.1.0-5.mga7
+ Revision: 1364500
- Patch to trunk to fix build
  Added small script to create patches from svn
+ daviddavid <daviddavid>
- add upstream patch to fix compiler errors with Gtk 3.24.x (patch by Miroslav Šulc)

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-3.mga7
+ Revision: 1297887
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 1.1.0-2.mga7
+ Revision: 1248804
- build without linuxsampler on aarch64
- drop unneeded -std=gnu++11

* Mon Jan 01 2018 barjac <barjac> 1.1.0-1.mga7
+ Revision: 1188985
- new version 1.1.0
- new major
- clean up spec

* Fri Dec 29 2017 barjac <barjac> 1.0.0-3.mga7
+ Revision: 1186879
- rebuild for libgig and linuxsampler

* Sun Feb 21 2016 luigiwalser <luigiwalser> 1.0.0-2.mga6
+ Revision: 975384
- BR docbook-style-xsl for docbook.xsl
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 1.0.0-1.mga6
+ Revision: 894818
- new version 1.0.0

* Mon Aug 31 2015 cjw <cjw> 0.2.0-1.2671.4.mga6
+ Revision: 871423
- add -std=gnu++11 to CXXFLAGS to fix build with latest libsigc++

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-1.2671.3.mga5
+ Revision: 748354
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-1.2671.2.mga5
+ Revision: 679570
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.2.0-1.2671.1.mga5
+ Revision: 670974
- new snapshot 2671

* Tue May 13 2014 barjac <barjac> 0.2.0-1.2546.3.mga5
+ Revision: 622403
- new snapshot 2546
- use find --delete

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-1.2459.2.mga4
+ Revision: 531785
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.2.0-1.2459.1.mga4
+ Revision: 465341
- new snapshot 2459
- use std macros

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-1.2379.2.mga3
+ Revision: 351552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.0-1.2379.1.mga3
+ Revision: 348061
- correct release format as interim until version update

* Fri Nov 16 2012 barjac <barjac> 0.2.0-1.2379.mga3
+ Revision: 318411
- add desktop file
- moved libgigeditlinuxsamplerplugin.so to lib package as it is needed at run time

* Thu Nov 15 2012 barjac <barjac> 0.2.0-0.2379.mga3
+ Revision: 317989
- spec cleaned
- removed static libs
- added BR xsltproc
- fixed unversioned explicit obsolete
- added mk_svn_tar script to create tarball from svn
- fixed group
- Import from Mandriva


* Fri Aug 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 422006
- BR libalsa-devel
- BR libjack-devel
- BR sqlite3-devel
- New version ?\1940.2.0
- drop P0
- fix license
  ?\195- diff patch for gcc43
- apply devel policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Dec 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.1-1mdv2008.1
+ Revision: 120477
- import gigedit


